/* support2.h */

#ifndef __SUPPORT2_H__
#define __SUPPORT2_H__

#include "types2.h"

#define OUT_OF_MEMORY_ERROR	2
#define FILE_WRITE_ERROR	13

#define GAL16V8		1
#define GAL20V8		2
#define GAL22V10	3
#define GAL20RA10	4

char *newExtension(const char *aPathname, const char *aExtension);
const char *getGALName(uint8_t aGalType);
const uint8_t *fload(const char *aPathname);
uint8_t fsave(const char *aPathname, const void *aBuffer, uint32_t aLength);

#endif	/* __SUPPORT2_H__ */
